# Get Webhook Events

get ` https://app.mk.io/api/v1/projects/:project_name/webhook/rules/:rule_name/events`

Get Events processed for the Webhook Rule.

RBAC Capability Required: `webhooks.config.get`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

| Parameter      | Type   | Required | Description             |
|----------------|--------|----------|-------------------------|
| project_name   | string | Yes      | Name of the project     |
| rule_name      | string | Yes      | Name of the rule        |

## Response

### 200 A single Webhook Rule

- `@odata.nextLink` string Optional

`@odata.nextLink` URL if the page length and number of items match.

- `supplemental` object [ListResponseSupplementalSchema](https://docs.mediakind.com/api-reference/management-api/schemas/listresponsesupplementalschema) Required

Supplemental info:
  - `count` integer Required

Number of items returned
  - `kind` string Required

Type of items in the list
  - `operation` string Required

Operation type. Should always say 'list'
  - `pagination` object [PaginationInfoSchema](https://docs.mediakind.com/api-reference/management-api/schemas/paginationinfoschema) Required

Pagination info:
    - `end` integer Required
    - `records` integer Required
    - `start` integer Required
    - `total` integer Required

- `subscription` object [ProjectInfoSchema](https://docs.mediakind.com/api-reference/management-api/schemas/projectinfoschema) Optional

Project info:
  - `id` string Required
  - `name` string Required

- `value` list of objects [WebhookEventBriefSchema](https://docs.mediakind.com/api-reference/management-api/schemas/webhookeventbriefschema) Required

A list of Events for a Webhook rule:
  - `created` string Required format: date-time
    
    Time the Event was created.
  - `source` string Required

Path to the resource that triggered the Event.
  - `status` enum Required

Event send status.

Allowed values: Pending, Retrying, Failed, Sent
  - `type` enum Required

The type of the Event.

Allowed values: MediaKind.JobStarted, MediaKind.JobFinished, MediaKind.StreamingLocatorCreated, MediaKind.ChannelInstanceStarted, MediaKind.ChannelInstanceStopped, MediaKind.ChannelInstanceError, MediaKind.ScheduledOperationAccepted, MediaKind.ScheduledOperationCompleted, MediaKind.ScheduledOperationError, MediaKind.ScheduledOperationOngoing

## Errors

- **400 Bad Request**

- `error` object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required

Pertinent information about the error:
    - `code` string Required
    - `detail` string Required
    - `extraDetail` map from strings to any Optional
      
      Extra information regarding this error.
    - `ref` string Required
    - `status` integer Required

- **401 Unauthorized**

- `error` object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required

Pertinent information about the error:
    - `code` string Required
    - `detail` string Required
    - `extraDetail` map from strings to any Optional
    - `ref` string Required
    - `status` integer Required

- **403 Forbidden**

- `error` object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required

- **404 Not Found**

- `error` object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required

- **429 Too Many Requests**

- `error` object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required

- **500 Internal Server Error**

- `error` object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail) Required
